> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a deal

> The _get a deal_ endpoint retrieves deal information from a HubSpot account, including any associated contact, company, and ticket information. It allows data syncing from HubSpot to external CRMs, accounting systems, forecasting software, and reporting applications. What's a use case for this endpoint? Your business uses HubSpot for sales and another project management system for onboarding new customers. When a HubSpot deal moves to the closed-won stage, the _get a deal_ endpoint syncs the data to your project management software and initiates a new onboarding project.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['crm.objects.deals.read', 'crm.objects.deals.write']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-deals-v1.json GET /deals/v1/deal/{dealId}
openapi: 3.0.0
info:
  title: CRM Deals API v1
  version: 1.0.0
  description: >-
    Use the deals API to create and manage CRM records that represent
    transactions with contacts and/or companies. Deals progress through pipeline
    stages to reflect whether the transaction has been completed, is active, or
    has otherwise been lost.
  x-hubspot-introduction: >-
    Use the deals API to create and manage CRM records that represent
    transactions with contacts and/or companies. Deals progress through pipeline
    stages to reflect whether the transaction has been completed, is active, or
    has otherwise been lost.
  x-hubspot-api-use-case: >-
    When a sales rep is negotiating a potential purchase with a prospective
    customer, create a deal record to track the negotiation process. When the
    customer later makes their purchase, you can update the deal to a closed
    stage.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /deals/v1/deal/{dealId}:
    get:
      summary: Get a deal
      description: >-
        The _get a deal_ endpoint retrieves deal information from a HubSpot
        account, including any associated contact, company, and ticket
        information. It allows data syncing from HubSpot to external CRMs,
        accounting systems, forecasting software, and reporting applications.
        What's a use case for this endpoint? Your business uses HubSpot for
        sales and another project management system for onboarding new
        customers. When a HubSpot deal moves to the closed-won stage, the _get a
        deal_ endpoint syncs the data to your project management software and
        initiates a new onboarding project.
      operationId: getdealsv1dealdealId
      parameters:
        - name: dealId
          in: path
          required: true
          description: Unique identifier for a particular deal.
          schema:
            type: string
        - name: includePropertyVersions
          in: query
          required: false
          description: >-
            By default, you will only get data for the most recent version of a
            property in the "versions" data. If you include this parameter, you
            will get data for all previous versions.
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response - Deal information retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  portalId:
                    type: integer
                  dealId:
                    type: integer
                  isDeleted:
                    type: boolean
                  associations:
                    type: object
                  properties:
                    type: object
      security:
        - oauth2:
            - crm.objects.deals.read
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.deals.read
        - private_apps_legacy: []
components: {}

````